Subject: Re: [PATCH (topgit)] tg-patch: add support for generating patches against worktree and index

From: Kirill Smelkov <[email-masked]>
Date: Thu, 8 Jan 2009 23:16:15 +0300

On Fri, Jan 09, 2009 at 08:53:56AM +1300, martin f krafft wrote:
> also sprach Kirill Smelkov <[email-masked]> [2009.01.09.0722 +1300]:
> > This implements `tg patch -i` and `tg patch -w` to see current
> > patch as generated against not-yet-committed index and worktree.
> 
> I think at this early stage, it would make sense to use long options
> and not reserve short options yet. Unless Petr disagrees, I'd kindly
> ask you to use long options instead. Once TopGit has been around for
> a while, we can provide short options for the most important long
> options.
> 
> This is possibly too conservative, but I've been bitten by lack of
> new letters before because I've used them all up for options that
> later turned out not to be needed.

I agree, but when I found myself needing something like
`tg patch --index`, I've spot this in README:

    --- a/README
    +++ b/README
    @@ -284,8 +284,9 @@ tg patch
            tg patch will be able to automatically send the patches by mail
            or save them to files. (TODO)
    
    -       TODO: tg patch -i to base at index instead of branch,
    -               -w for working tree

So I concluded -i/-w was planned from the beginning.

I myself would call these options --index and --work or something
like that, but I'll be ok with any option.

Thanks,
Kirill